OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapIteratorOfDataMapOfTRI Class Reference

`#include <StepToTopoDS_DataMapIteratorOfDataMapOfTRI.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfDataMapOfTRI ()
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfDataMapOfTRI (const StepToTopoDS_DataMapOfTRI &aMap)
Standard_EXPORT void | Initialize (const StepToTopoDS_DataMapOfTRI &aMap)
Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem & | Key () const
Standard_EXPORT const TopoDS_Shape & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_DataMapIteratorOfDataMapOfTRI::StepToTopoDS_DataMapIteratorOfDataMapOfTRI | ( |  | ) |

Standard_EXPORT StepToTopoDS_DataMapIteratorOfDataMapOfTRI::StepToTopoDS_DataMapIteratorOfDataMapOfTRI | ( | const StepToTopoDS_DataMapOfTRI & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void StepToTopoDS_DataMapIteratorOfDataMapOfTRI::Initialize | ( | const StepToTopoDS_DataMapOfTRI & | aMap | ) |

Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem& StepToTopoDS_DataMapIteratorOfDataMapOfTRI::Key | ( |  | ) | const

void StepToTopoDS_DataMapIteratorOfDataMapOfTRI::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfDataMapOfTRI::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfDataMapOfTRI::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_DataMapIteratorOfDataMapOfTRI::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapIteratorOfDataMapOfTRI.hxx